$fn = 3; 

// 10 cubes rouges de tailles différentes
color("red") for (cube_size = [1:10]) translate([cube_size * 10, 0, 0]) cube(cube_size);

// 4 sphères vertes différentes réunis par un bouclier
color("green")
hull() {
    for (ball_size = [1:4]) {
        if (ball_size % 2)
            translate([ball_size, 10 *  ball_size, 0]) sphere(ball_size);
        else
            translate([-ball_size, 10 *  ball_size, 0]) sphere(ball_size);    
    };
}

// 20 cylindre bleu en rotation
color("blue")
for (angle = [0:20]) {
    translate([0, 0, 10 * angle]) rotate([9 * angle, 0, 0]) cylinder(15);
}

// 12960 ensembles de cylindre qui changent de couleurs en parcourant une sphère 
for (i = [0:1:360]) {
    for (j = [0:10:359]) {
        color([sin(i), min(1, tan(abs(i-j))), cos(j)]) 
        rotate([i, j, 0]) 
        translate([100, 100, 0])
        union() {
            cylinder(r = 2, h = 1);
            cylinder(r = 1, h = 2);
        }
    }
}